import React, { Component } from 'react';
import '../content.less';
import LeftTab from '../leftTab';
import {getMenu} from '../publicMenu.js'

class Content extends Component {
    constructor() {
        super();
        this.state = {
            loading: false,
            component: <div></div>,
        };
    }
    componentWillMount() {
        var ids=window.location.href.indexOf('rid=');
        var idk=window.location.href.substr(ids+4);
        var rid=idk.split('#');
        let menu=getMenu(rid);
        let curry;
        if(menu[0].subMenus.length>0){
        	curry=menu[0].subMenus[0].url.split('#');
        }else{
        	curry=menu[0].url.split('#');
        };
        if (window.location.hash) {
            this.getKey(window.location.hash.substr(1));
        } else {
         this.getKey(curry[1]);
        };
    }
    getKey(key) {
        switch (key) {    
            //项目派单
            case 'projectAssignment':
                require.ensure([], () => {
                    const ProjectAssignment = require('./project/projectAssignment').default;
                    this.setState({
                        component: <ProjectAssignment ApiUrl={''}/>                      
                      
                    });
                });
                break; 
          	//项目查询
			case 'projectQuery':
                require.ensure([], () => {
	                const ProjectQuery = require('./project/projectQuery').default;
	                this.setState({
	                    component:<ProjectQuery ApiUrl={''}/>,	                    	                  
	                });
          	    });
          	    break;
          	//任务查询
          	case 'taskQuery':
                require.ensure([], () => {
	                const TaskQuery = require('./task/taskQuery').default;
	                this.setState({
	                    component:<TaskQuery ApiUrl={''}/>,	                    	                  
	                });
          	    });
          	    break;
          	//任务派单
          	case 'taskAssignment':
                require.ensure([], () => {
	                const TaskAssignment = require('./task/taskAssignment').default;
	                this.setState({
	                    component:<TaskAssignment ApiUrl={''}/>,	                    	                  
	                });
          	    });
          	    break;
          	//我的任务    
          	case 'myTask':
                require.ensure([], () => {
	                const MyTask = require('./task/myTask').default;
	                this.setState({
	                    component:<MyTask ApiUrl={''}/>,	                    	                  
	                });
          	    });
          	    break;
          	//任务统计
          	case 'taskCount':
                require.ensure([], () => {
	                const TaskCount = require('./task/taskCount').default;
	                this.setState({
	                    component:<TaskCount ApiUrl={''}/>,	                    	                  
	                });
          	    });
          	    break;
      	    default:
            require.ensure([], () => {
                const Module = require('../module').default;
                this.setState({
                    component:<Module ApiUrl={''}/>	    
                	});
                });  
           
           
                
        };
        window.location.hash = key;
    }
    render() {
        return (
            <div className="manage-content">
                <LeftTab handlekey={this.getKey.bind(this)} />
                <div className="content-right">
                   {this.state.component}
                </div>
            </div>
        )
    }
}

export default Content;
